﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfBarcode.XForms;
using Xamarin.Forms;

namespace SfBarcodeSample
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            SfBarcode barcode = new SfBarcode();
            barcode.BackgroundColor = Color.Gray;
            barcode.Text = "c2952c50-6b00-4fdb-8ef4-22a1a0c6d587";
            barcode.Symbology = BarcodeSymbolType.QRCode;

            QRBarcodeSettings settings = new QRBarcodeSettings();
            settings.Version = QRVersion.VersionAuto;
            settings.ErrorCorrectionLevel = QRErrorCorrectionLevel.High;
            barcode.SymbologySettings = settings;
            this.Content = barcode;
        }
    }
}
